CLIVE-PASSWD(1)

SYNOPSIS
clive-passwd [ OPTION ] [ COMMAND ] [ ENTRY ]

DESCRIPTION
clive-passwd for storing and managing encrypted login passwords used with clive(1) to login websites before video extraction.

OPTIONS

-v  Print version and exit.

COMMANDS

add ENTRY
    Add a new login password entry with a unique name. Each entry will contain both login username and password. The password is encrypted using a passphrase which is used for all stored entries.

delete ENTRY
    Delete an existing entry.

get ENTRY
    Print decrypted entry contents to standard output.

list
    Lists all entries.

purge
    Purge the contents of the ~/.clive/passwd file.

EXAMPLES

Add a new login entry (yt) for Youtube:
    % clive-passwd add yt
    Enter passphrase for /home/legatvs/.clive/passwd:
    Re-enter the passphrase:
    Enter login username for yt: myusername
    Enter password for myusername:
    Re-enter the password:

Once created, you can confirm the login entry with:
    % clive-passwd get yt
    Enter passphrase for /home/legatvs/.clive/passwd:
    username:myusername password:mypassword

The created entry can now be used with clive(1) to extract a video:
    % clive --youtube=passwd:yt URL

FILES

~/.clive/passwd
    Contains the login entries with usernames and encrypted passwords.

AUTHOR
Toni Gundogdu <legatvsgmailcom>. Please see clive(1) for information on how to report bugs.

SEE ALSO
clive(1)

COPYRIGHT
Copyright (C) 2007-2008 Toni Gundogdu

This program comes with ABSOLUTELY NO WARRANTY and is part of clive. For license details, please see clive(1).